### Function

# Gimp Drawable get_by_id

#### Declaration [src]

    GimpDrawable*
    gimp_drawable_get_by_id (
      gint32 drawable_id
    )

#### Description [src]

Returns a `GimpDrawable` representing `drawable_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is drawable or `NULL` otherwise.

Available since: | 3.0

#### Parameters

`drawable_id` | `gint32`
| The drawable id.

#### Return value

Returns: | `GimpDrawable`
| A `GimpDrawable` for `drawable_id` or `NULL` if `drawable_id` does not represent a valid drawable. The object belongs to libgimp and you must not modify or unref it.
| The data is owned by the called function.
| The return value can be `NULL`.